POST /v1/claims
Submit a claim through Contract Modeling
Go Back
Request body parameters
| Parameter | Type | Mandatory | Description | ||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| requestKey | UUID | Yes | A unique ID that Quadax will create and send. To be returned in the response to ensure matching response to request. | ||||||||||||||||||||||||||||||||||||
| accountNumber | String | Yes | The CLM number – AKA the account number. | ||||||||||||||||||||||||||||||||||||
| facilityName | String | Yes | Facility name. | ||||||||||||||||||||||||||||||||||||
| npi | String | Yes | Facility NPI number. | ||||||||||||||||||||||||||||||||||||
| contractId | Integer | Yes | The contract Id assigned to the claim. | ||||||||||||||||||||||||||||||||||||
| accountType | String | Yes | IP (Inpatient) or OP (Outpatient) | ||||||||||||||||||||||||||||||||||||
| admitDate | Date | Yes | Format: YYYYMMDD | ||||||||||||||||||||||||||||||||||||
| dischargeDate | Date | Yes | Format: YYYYMMDD | ||||||||||||||||||||||||||||||||||||
| dischargeDisp | Number | Yes | This is needed due to commercial and government payers basing reimbursement off discharge disposition. | ||||||||||||||||||||||||||||||||||||
| payerName | String | Yes | Payer Name | ||||||||||||||||||||||||||||||||||||
| payerCode | String | Yes | Quadax Insurance Master payer key. | ||||||||||||||||||||||||||||||||||||
| payerInsuranceType | String | Optional | Quadax Insurance Master insurance type key. | ||||||||||||||||||||||||||||||||||||
| payerPlanCode | String | Optional | Quadax Insurance Master plan key. | ||||||||||||||||||||||||||||||||||||
| charges | Decimal | Yes | Total for claim level. | ||||||||||||||||||||||||||||||||||||
| billType | String | Yes | e.g. 11B1 or 131 or 22A2 | ||||||||||||||||||||||||||||||||||||
| lastName | String | Yes | Patient, not subscriber. | ||||||||||||||||||||||||||||||||||||
| firstName | String | Yes | Patient, not subscriber. | ||||||||||||||||||||||||||||||||||||
| gender | String | Yes | M or F. Patient, not subscriber. | ||||||||||||||||||||||||||||||||||||
| dateOfBirth | Date | Yes | Patient, not subscriber, Format: YYYYMMDD | ||||||||||||||||||||||||||||||||||||
| drg | String | Optional | |||||||||||||||||||||||||||||||||||||
| diagnosisCodes | Array | Optional | e.g. ["2189", "6262"] | ||||||||||||||||||||||||||||||||||||
| clinicalData | Array | Yes | Ubcpt details of the claim | ||||||||||||||||||||||||||||||||||||
|
|||||||||||||||||||||||||||||||||||||||
Request body example
{
"header": {
"Authorization: ": "Bearer api-token-here"
},
"body": {
"requestKey": "513009d2-c070-4f83-8aee-8e686a696874",
"accountNumber": "10366356400",
"facilityName": "SOUTHWEST GENERAL HEALTH",
"npi": "1154353993",
"contractId": "7",
"accountType": "OP",
"admitDate": "20170216",
"dischargeDate": "20170216",
"dischargeDisp": "8",
"payerName": "CARESOURCE",
"payerCode": "123",
"payerInsuranceType": "456",
"payerPlanCode": "789",
"charges": 39037.080000000001746229827404022216796875,
"billType": "131",
"lastName": "DOE",
"firstName": "JANE",
"gender": "F",
"dateOfBirth": "19600227",
"drg": "",
"diagnosisCodes": [
"2189",
"6262",
"7935",
"6239"
],
"clinicalData": [
{
"claimLineId": "03df3015-f65b-3760-8c9d-2663bfe32b7b",
"admitDate": "20170216",
"serviceDateFrom": "20170216",
"revenueCode": "0270",
"hcpcs": "",
"quantity": 2,
"charge": 637.6000000000000227373675443232059478759765625
},
{
"claimLineId": "550bf669-541d-3810-9503-6ad983a6f0e3",
"admitDate": "20170216",
"serviceDateFrom": "20170216",
"revenueCode": "0272",
"hcpcs": "64635",
"quantity": 3,
"charge": 7370,
"modifiers": [
"SG",
"LT"
],
"physicianNpi": "1234567890"
}
]
}
}
Response body parameters
| Parameter | Type | Description |
|---|---|---|
| message | String | Resource created |
Response body example
 
{
"message": "claim_accepted",
"code": 62
}